Description

Few issues with the "metadata" tab on layer properties for a WMS and WFS.

For WMS I have a large GetCapabilities file - attached (GeoServer 2.3.5 is running the backend).

- Every time I click on "Metadata", QGIS hangs for about 2 seconds while it parses this file. The logs show it's not making a request to the

server so it's using the local version and the delay is entirely within QGIS. This seems quite slow given I have a 3.4GHz 8 core Xeon

CPU.

- More obviously a bug - the only part of the WMS layer Metadata screen that's populated is the "properties". This contains ALL WMS

GetCapabilities information.

None of the other information (title, abstract, etc) is filled, despite being in the GetCapabilities for this layer.

#############

WFS

- Behaviour is different but similar - the title, abstract etc aren't filled in, but the "properties" box only contains information on the specified

layer rather than all of them (as it did for WMS).

History

#1 - 2013-10-16 07:02 AM - Jonathan Moules

Similar issue for WCS it seems too.

#2 - 2014-01-27 04:35 AM - Jonathan Moules

Note: Apparently these fields are for user metadata. My question then is - why? They can be easily automatically populated from the OGC service. Any

user-entered data will be lost as soon as they remove the layer. It'd only be useful if they saved it as a QGS file which seems like a very limited use-case.

#3 - 2014-02-04 09:33 AM - Jonathan Moules

More obviously a bug - the only part of the WMS layer Metadata screen that's populated is the "properties". This contains ALL WMS GetCapabilities

information.

That issue also carries over to the Browser layer properties, again only for WMS as best I can tell.

#4 - 2014-08-30 10:22 AM - Jürgen Fischer

2024-04-27 1/2



- Category set to Web Services clients/WMS

#5 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#7 - 2018-08-16 12:09 AM - Giovanni Manghi

- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

getcapabilities_1.3.0.xml 246 KB 2013-10-16 Jonathan Moules
